slepc-3.10.1 2018-10-23
Report Typos and Errors

# RGRegister

Adds a region to the RG package.

### Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGRegister(const char *name,PetscErrorCode (*function)(RG))

Not collective

### Input Parameters

| name | - name of a new user-defined RG
| function | - routine to create context

### Notes

RGRegister() may be called multiple times to add several user-defined regions.

### See Also

RGRegisterAll()

Location: src/sys/classes/rg/rgbasic.c
Index of all RG routines
Table of Contents for all manual pages
Index of all manual pages